Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus.snapshot
Interface SnapshotElement

Show UML class diagram

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  CompositeEvent, Event, Extractor, Handler, JoinInput, JoinNode, Predicate, PredicateNode, PredicateNodeOutput

All Known Implementing Classes:
  CompositeEventImpl, EventImpl, ExtractorImpl, HandlerImpl, JoinInputImpl, JoinNodeImpl, PredicateImpl, PredicateNodeImpl

    public interface SnapshotElement

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Element'. Snapshot element.

The following features are supported:

- `Id`
- `Name`
- `Details`
- `Snapshot`

See Also:
  `SnapshotPackage.getSnapshotElement()`

Method Summary
`String` | `getDetails()` Returns the value of the 'Details' attribute.
`String` | `getId()` Returns the value of the 'Id' attribute.
`String` | `getName()` Returns the value of the 'Name' attribute.
`Snapshot` | `getSnapshot()` Returns the value of the 'Snapshot' container reference.
`void` | `setDetails(String value)` Sets the value of the '`Details`' attribute.
`void` | `setId(String value)` Sets the value of the '`Id`' attribute.
`void` | `setName(String value)` Sets the value of the '`Name`' attribute.
`void` | `setSnapshot(Snapshot value)` Sets the value of the '`Snapshot`' container reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getId

    String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Unique element ID.

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `SnapshotPackage.getSnapshotElement_Id()`

### setId

    void setId(String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`

### getName

    String getName()

  Returns the value of the 'Name' attribute. Element name becomes a label of element node.

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `setName(String)`, `SnapshotPackage.getSnapshotElement_Name()`

### setName

    void setName(String value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `getName()`

### getDetails

    String getDetails()

  Returns the value of the 'Details' attribute. Detailed information about the element, typically value returned by toString().

  Returns:
    the value of the 'Details' attribute.
  See Also:
    `setDetails(String)`, `SnapshotPackage.getSnapshotElement_Details()`

### setDetails

    void setDetails(String value)

  Sets the value of the '`Details`' attribute.

  Parameters:
    `value` - the new value of the 'Details' attribute.
  See Also:
    `getDetails()`

### getSnapshot

    Snapshot getSnapshot()

  Returns the value of the 'Snapshot' container reference. It is bidirectional and its opposite is '`Elements`'.

  If the meaning of the 'Snapshot' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Snapshot' container reference.
  See Also:
    `setSnapshot(Snapshot)`, `SnapshotPackage.getSnapshotElement_Snapshot()`, `Snapshot.getElements()`

### setSnapshot

    void setSnapshot(Snapshot value)

  Sets the value of the '`Snapshot`' container reference.

  Parameters:
    `value` - the new value of the 'Snapshot' container reference.
  See Also:
    `getSnapshot()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD